Package ru.bitel.common.model

# Class Id

java.lang.Object
ru.bitel.common.model.Id

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `AbstractBalanceBean`, `AbstractBillDocument`, `AbstractBonusBalanceBean`, `Account`, `AccountingPeriod`, `ActionLogEntry`, `AdditionalAgreement`, `AgentAVD`, `Attribute`, `Autopayment`, `BGAbstractTransaction`, `BGFutureTask`, `CardPacket`, `ConnectionLogEntry`, `Contact`, `ContractAutopayment`, `ContractLimitLog`, `ContractLimitMovement`, `ContractPattern`, `ContractPeriod`, `ContractStatus`, `ContractStatusLog`, `ContractStockItem`, `ContractTariffGroup`, `ContractTariffOption`, `DataProcessRecord`, `DealerPayment`, `Device`, `DeviceInterfaceIndex`, `DevicePortSubscription`, `DispatchMessageStatistic`, `DocumentPositionSpec`, `DocumentStatusLogItem`, `Domain`, `DrwebAgentStatusBase`, `DrwebTariff`, `EnazaAccessToken`, `ExtDocument`, `ForpostCameraBrand`, `ForpostCameraModel`, `ForpostCameraType`, `ForpostMaster`, `ForpostPtzType`, `ForpostRecordType`, `ForpostRemoteMaster`, `GroupRight`, `House`, `IdContractId`, `IdTitle`, `InetAccountingPeriod`, `InetAuthError`, `InetServRestriction`, `IpResource`, `IpResourceSubscription`, `IpResourceSubscriptionReal`, `LicenseCommonObject`, `LicenseTariffGroupPrice`, `LogEntry`, `MangoAccountProduct`, `MangoFee`, `MangoPhone`, `MegafonContractOption`, `MegafonContractProduct`, `MegafonPayment`, `MegogoContractSubRequestLog`, `MegogoContractSubscriptionStatusPeriod`, `MobileContractData`, `MobileContractNotification`, `MobilePushToken`, `MobilePushTokenLink`, `MobileToken`, `PaymentInfo`, `PeriodicTask`, `PersonalDispatch`, `PhoneResource`, `PhoneResourceSubscription`, `Position`, `Product`, `ProductPeriod`, `ProductSpecServiceLink`, `Purchase`, `RCCdrItem`, `Rebill`, `RebillTransaction`, `RegisterTask`, `RegistrationPeriod`, `RentalEntry`, `RentsoftPayment`, `RentsoftProduct`, `Reserve`, `Revision`, `RSCMContractService`, `RunningTask`, `RunTelContractTariff`, `SbPilotPayment`, `SchedulerTaskLog`, `Service`, `ServiceObject`, `SmartHouseAccount`, `SmartHouseIntercom`, `SmartHouseIntercomFlat`, `SmartHousePackageContract`, `SoftkeyTransaction`, `SoftLineSubscription`, `SormUploadStatistic`, `SqlHistoryRequest`, `SqlHistoryUserConfig`, `StatisticNote`, `StockItemAttributeValue`, `SubscriberAccount`, `Subscription`, `Subscription`, `Subscription`, `Subscription`, `SynclogEntry`, `TariffGroupTariff`, `TrafficTypeLinkRule`, `TvServiceSpecChannelLink`, `UfanetAddressItem`, `UserCard`, `UserCardCopy`, `UserInfo`, `VlanResourceSubscription`, `VoiceAccountPort`, `VoiceAuthError`, `VoiceCostMapRange`, `VoiceError`, `VoiceGeographicRange`, `WarehouseOperationEntry`, `Zone`, `ZoneWhois`

public class Id extends Object implements Serializable, Idable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `id`
  id объекта

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Id()`
  `protected`
  `Id(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyTo(Id id)`
  `boolean`
  `equals(Object obj)`
  `int`
  `getId()`
  Возвращает id объекта
  `int`
  `hashCode()`
  `static List<Integer>`
  `newIdList(Collection<? extends Id> list)`
  Список ид из списка сущностей.
  `static Set<Integer>`
  `newIdSet(Collection<? extends Id> list)`
  `static Set<Integer>`
  `newIdSet(List<? extends Id> list)`
  `static <K extends Id>
  Set<Integer>`
  `newIdSet(K entity)`
  Получить из Set из одного Id для объекта.
  `static <K extends Id>
  Set<Integer>`
  `newIdSet(K[] list)`
  `static <K extends Id>
  Map<Integer,K>`
  `newMap(List<K> list)`
  `Id`
  `setId(int id)`
  Устанавливает id объекта
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    protected int id
    id объекта

- ## Constructor Details

  - ### Id

    public Id()

  - ### Id

    protected Id(int id)

- ## Method Details

  - ### getId

    public int getId()
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns:

  - ### setId

    public Id setId(int id)
    Устанавливает id объекта
    Parameters:
      `value` - id

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### newMap

    public static <K extends Id> Map<Integer,K> newMap(List<K> list)

  - ### newIdSet

    public static <K extends Id> Set<Integer> newIdSet(K[] list)

  - ### newIdSet

    public static Set<Integer> newIdSet(Collection<? extends Id> list)

  - ### newIdSet

    public static <K extends Id> Set<Integer> newIdSet(K entity)
    Получить из Set из одного Id для объекта. Бывает нужно когда у нас всего один объект, а нужно передать список id.
    Parameters:
      `entity` -
    Returns:

  - ### newIdSet

    public static Set<Integer> newIdSet(List<? extends Id> list)

  - ### newIdList

    public static List<Integer> newIdList(Collection<? extends Id> list)
    Список ид из списка сущностей.
    Parameters:
      `list` - коллекция объектов дочерних Id.
    Returns:
      список целых чисел в порядке итерации исходной коллекции.
    See Also:
      - `newIdSet(Collection)`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### copyTo

    public void copyTo(Id id)